### Method

# Foundry ProcessLauncher merge_unix_fd_map

#### Declaration [src]

    gboolean
    foundry_process_launcher_merge_unix_fd_map (
      FoundryProcessLauncher* self,
      FoundryUnixFDMap* unix_fd_map,
      GError** error
    )

#### Description [src]

Merges the `FoundryUnixFDMap` into the current layer.

If there are collisions in destination FDs, then that may cause an error and `FALSE` is returned.

`unix_fd_map` will have the FDs stolen using `foundry_unix_fd_map_steal_from()` which means that if successful, `unix_fd_map` will not have any open file-descriptors after calling this function.

#### Parameters

`unix_fd_map`

  Type: `FoundryUnixFDMap`

  A `FoundryUnixFDMap`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful; otherwise `FALSE` and `error` is set.